using System;
using System.Globalization;
using System.Resources;
using System.Threading;
using System.Web.UI;
public partial class Reports_TA_UI_XtraGridMain : Base.BasePage
{
    ResourceManager rm;
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking
        base.Page_Load(sender, e);
        if (!Page.IsPostBack)
        {
            base.CheckPages(0);
        }
        //get the culture info to set the language
        CultureInfo ci;
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        site.SiteMapProvider = Convert.ToString(Session["SiteMapProvider"]);
        // LoadStrings Function fills the Label from the Resource File
        LoadStrings(ci);
    }
    private void LoadStrings(CultureInfo ci)
    {
        lbl_XtraGrid.Text = rm.GetString("Report_XtraGrid_ModuleTitle", ci);
        lbl_AllSwipes.Text = rm.GetString("Report_XtraGrid_AllSwipes", ci);
        lbl_Attendance.Text = rm.GetString("Report_XtraGrid_Attendance", ci);
        lbl_EmployeeDetail.Text = rm.GetString("Report_XtraGrid_EmployeeDetail", ci);
    }
}
